Checks the status of an anonymization job. The response contains the percentage of job progress.
-1: The job is waiting for execution. Anonymization jobs run one at a time, so a job can wait while other jobs are processed. Don't submit the anonymization request again.0 to 100: The percentage of the job that is complete.If the requestId contains several IDs separated by | (for multiple data centers), pass the full value. The response contains the average progress across all data centers.
The request produces an application/json payload.
| GET | ManagedDynatrace for Government | https://{your-domain}/e/{your-environment-id}/api/v1/anonymize/anonymizationJobs/{requestId} |
| GET | Environment ActiveGate | https://{your-activegate-domain}/e/{your-environment-id}/api/v1/anonymize/anonymizationJobs/{requestId} |
To execute this request, you need an access token with UserSessionAnonymization scope.
To learn how to obtain and use it, see Personal access tokens.
| Parameter | Type | Description | In | Required |
|---|---|---|---|---|
| requestId | string | The ID of the required anonymization job. | path | Required |
| Code | Type | Description |
|---|---|---|
| 200 | Anonymization | Success. The response body contains the status of the anonymization job. |
| 400 | - | Failed. The input is invalid. See the response body for details. |
| 4XX | Error | Client side error. |
| 5XX | Error | Server side error. |
AnonymizationProgressResult object| Element | Type | Description |
|---|---|---|
| progress | integer | The progress of the anonymization job, percent. -1 if the job is waiting for execution. |
{"progress": 50}
In this example, the request checks the status of the anonymization job with the ID of 7810238295331327902.
The API token is passed in the Authorization header.
The response shows that the job is complete.
curl -X GET \https://mySampleEnv.live.dynatrace.com/api/v1/anonymize/anonymizationJobs/7810238295331327902 \-H 'Authorization: Api-Token dt0c01.abc123.abcdefjhij1234567890'
https://mySampleEnv.live.dynatrace.com/api/v1/anonymize/anonymizationJobs/7810238295331327902
{"progress": 100}
200